#!/bin/bash
# sample calculation of "Iso-energy surface (Not Fermi-surface)"  by Haruhiko Dekura
rm *.out
rm ./CRASH
rm a2F*
rm *.dyn*
rm -r ./tmp
mkdir tmp 

########

#mpicom="/Users/dekura/openmpi-1.2.5_build/ifort_mpidir/bin/mpirun -np 2" 
mpicom="mpirun -np 8" 
QEpro="~/espresso-4.1/bin/" # direcotry where PWSCF sorce is. 
PW=${QEpro}/pw.x
PH=${QEpro}/ph.x
kvec=${QEpro}/kvecs_FS.x
bands_FS=${QEpro}/bands_FS.x
########


inp_scf=dia.scf.in
out_scf=dia.scf.out


inp_kvec=dia.kvec.in



inp_fs_pre=dia.fs.pre.in
inp_fs=dia.fs.in
out_fs=dia.fs.out


###

 echo "scf run"
$mpicom $PW <  $inp_scf | tee $out_scf   
 echo "scf end"

##### preprocess 

Sysname='dia'
nabc=' 4 4 4 '
n_start=1
n_last=8
#
#E_Fermi=`grep Fermi $out_scf | cut -c 26-36` 
a1=`grep 'b(1)' $out_scf | cut -c 24-54`
a2=`grep 'b(2)' $out_scf | cut -c 24-54`
a3=`grep 'b(3)' $out_scf | cut -c 24-54`

cat > dia.kvec.in <<EOF
$a1
$a2
$a3
$nabc
$Sysname
EOF

####
 echo "kvec run"
#$mpicom $kvec < dia.kvec.in | tee kvecs_FS.out
$kvec < dia.kvec.in | tee kvecs_FS.out
 echo "kvec end"
#
echo "part1"



echo "part2"


cat $inp_fs_pre > $inp_fs


cat kvecs_$Sysname >> $inp_fs  

$mpicom $PW < $inp_fs | tee $out_fs


mv $out_fs Bands_SP.out

#E_Fermi=`grep Fermi Bands_SP.out | cut -c 26-36` 
E_Fermi="20.0" # CAUTION! now our system is insulater without having Fermi surface, so you type the value of "E_Fermi" manually!  

cat > input_FS <<EOF
$n_start  $n_last
$E_Fermi
$Sysname
$nabc
$a1
$a2
$a3
EOF

echo "bands_fs start"
$bands_FS < Bands_SP.out  | tee bands_fs.out 
echo ""
echo ""

mv Bands_FS.bxsf  ${Sysname}.fs.bxsf


echo "done"

exit 
